Main Restorations Software Audio/Jukebox/MP3 Everything Else Buy/Sell/Trade
Project Announcements Monitor/Video GroovyMAME Merit/JVL Touchscreen Meet Up Retail Vendors
Driving & Racing Woodworking Software Support Forums Consoles Project Arcade Reviews
Automated Projects Artwork Frontend Support Forums Pinball Forum Discussion Old Boards
Raspberry Pi & Dev Board controls.dat Linux Miscellaneous Arcade Wiki Discussion Old Archives
Site News

Unread posts | New Replies | Recent posts | Rules | Chatroom | Wiki | File Repository | RSS | Submit news


  

Author Topic: GroovyMAME 0.202 compile errors (resolved)  (Read 226 times)

0 Members and 1 Guest are viewing this topic.

planexcvs

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 41
GroovyMAME 0.202 compile errors (resolved)
« on: October 07, 2018, 11:56:42 am »
I've been having issues compiling this one. Anyone have any suggestions or solutions?

The steps I've tried:
- patching diffs in order groovymame 202, d3d9ex, then suppression 202
- had to run all patches with --binary flag as it would fail at suppression patch if I didn't (I know that --binary shouldn't be needed for groovymame and d3d9ex)
- ran compile with: make -j3 SUBTARGET=arcade

Error log of the compile issue attached.

---------------------------
On the patch end, if I don't use the --binary flag, I get the (Stripping trailing CRs from patch; use --binary to disable.) warnings

I tried using Calamity's old patch tools, but patch.exe is forced to "run as administrator" which just throws up another command prompt rather than executing the patch

Error log of the patch issue attached where it fails after suppression when not using --binary


UPDATE: Issue Resolved

« Last Edit: October 10, 2018, 02:18:08 am by planexcvs »

raibol1

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 13
  • I want to build my own arcade controls!
Re: GroovyMAME 0.202 compile errors (resolved)
« Reply #1 on: October 10, 2018, 08:56:24 am »
Hallo,

what was the solution?
I have the same Problem.

Greets

raibol

Jonny G

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 181
Re: GroovyMAME 0.202 compile errors (resolved)
« Reply #2 on: October 10, 2018, 03:24:21 pm »
I don't know what OP's resolution was but I can confirm no build errors compiling under MAME compiler 64

planexcvs

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 41
Re: GroovyMAME 0.202 compile errors (resolved)
« Reply #3 on: October 11, 2018, 12:14:10 am »
Hallo,

what was the solution?
I have the same Problem.

Greets

raibol

I referenced this to solve the CRLF warnings and get error-free patches: http://www.blakerobertjohnson.com/fixing-crlf-issues-when-applying-patches-in-a-multi-platform-environment

Best to use a Unix/Linux machine or Mac machine to run these commands.

As for the suppression patch, I made those changes manually.

  
 

Sitemap 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31